<?php
/**
 * @file
 * openchurch_demo_content.features.content.inc
 */

/**
 * Implements hook_content_defaults().
 */
function openchurch_demo_content_content_defaults() {
  $content = array();

  $content['oc_webform'] = (object) array(
    'exported_path' => 'contact-us',
    'webform' => array(
      'confirmation' => '',
      'confirmation_format' => NULL,
      'redirect_url' => '<confirmation>',
      'status' => 1,
      'block' => 0,
      'allow_draft' => 0,
      'auto_save' => 0,
      'submit_notice' => 1,
      'submit_text' => '',
      'submit_limit' => -1,
      'submit_interval' => -1,
      'total_submit_limit' => -1,
      'total_submit_interval' => -1,
      'progressbar_bar' => 0,
      'progressbar_page_number' => 0,
      'progressbar_percent' => 0,
      'progressbar_pagebreak_labels' => 0,
      'progressbar_include_confirmation' => 0,
      'progressbar_label_first' => NULL,
      'progressbar_label_confirmation' => NULL,
      'preview' => 0,
      'preview_next_button_label' => NULL,
      'preview_prev_button_label' => NULL,
      'preview_title' => NULL,
      'preview_message' => '',
      'preview_message_format' => NULL,
      'preview_excluded_components' => array(),
      'record_exists' => TRUE,
      'roles' => array(
        0 => 1,
        1 => 2,
      ),
      'emails' => array(),
      'components' => array(
        0 => array(
          'pid' => 0,
          'form_key' => 'first_name',
          'name' => 'First Name',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'width' => 50,
            'disabled' => 0,
            'unique' => 0,
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'placeholder' => '',
            'analysis' => FALSE,
          ),
          'required' => 1,
          'weight' => 0,
          'page_num' => 1,
        ),
        1 => array(
          'pid' => 0,
          'form_key' => 'last_name',
          'name' => 'Last Name',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'width' => 50,
            'disabled' => 0,
            'unique' => 0,
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'placeholder' => '',
            'analysis' => FALSE,
          ),
          'required' => 1,
          'weight' => 1,
          'page_num' => 1,
        ),
        2 => array(
          'pid' => 0,
          'form_key' => 'email_address',
          'name' => 'Email Address',
          'type' => 'email',
          'value' => '[current-user:mail]',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'width' => 50,
            'disabled' => 0,
            'unique' => 0,
            'description' => '',
            'attributes' => array(),
            'placeholder' => '',
            'analysis' => FALSE,
          ),
          'required' => 1,
          'weight' => 2,
          'page_num' => 1,
        ),
        3 => array(
          'pid' => 0,
          'form_key' => 'phone_number',
          'name' => 'Phone Number',
          'type' => 'textfield',
          'value' => '',
          'extra' => array(
            'title_display' => 'before',
            'private' => 0,
            'width' => 50,
            'disabled' => 0,
            'unique' => 0,
            'maxlength' => '',
            'field_prefix' => '',
            'field_suffix' => '',
            'description' => '',
            'attributes' => array(),
            'placeholder' => '',
            'analysis' => FALSE,
          ),
          'required' => 1,
          'weight' => 3,
          'page_num' => 1,
        ),
        4 => array(
          'pid' => 0,
          'form_key' => 'questions_or_comments',
          'name' => 'Questions or Comments',
          'type' => 'textarea',
          'value' => '',
          'extra' => array(
            'title_display' => 0,
            'private' => 0,
            'resizable' => 1,
            'disabled' => 0,
            'cols' => '',
            'rows' => '',
            'description' => '',
            'attributes' => array(),
            'placeholder' => '',
            'analysis' => FALSE,
          ),
          'required' => 1,
          'weight' => 4,
          'page_num' => 1,
        ),
      ),
      'conditionals' => array(),
    ),
    'link' => array(
      'menu_name' => 'main-menu',
      'link_path' => 'node-name/oc_webform',
      'router_path' => 'node/%',
      'link_title' => 'Contact Us',
      'options' => array(),
      'module' => 'menu',
      'hidden' => 0,
      'external' => 0,
      'has_children' => 0,
      'expanded' => 0,
      'weight' => 7,
      'customized' => 0,
      'identifier' => 'main-menu:node-name/oc_webform',
    ),
    'title' => 'Contact Us',
    'status' => 1,
    'promote' => 0,
    'sticky' => 0,
    'type' => 'webform',
    'language' => 'und',
    'created' => 1323220131,
    'comment' => 1,
    'translate' => 0,
    'machine_name' => 'oc_webform',
    'body' => array(
      'und' => array(
        0 => array(
          'value' => 'We at OpenChurch hope that if you have any questions, concerns, needs that you will feel free to contact us at anytime. You may contact us by any of the methods below or by filling out the form at the bottom of this page. Please keep in mind if use any method other than phone it will take some time to get into the hands of the appropriate person. We look forward to speaking with you soon.',
          'summary' => '',
          'format' => 'panopoly_wysiwyg_text',
          'safe_value' => '<p>We at OpenChurch hope that if you have any questions, concerns, needs that you will feel free to contact us at anytime. You may contact us by any of the methods below or by filling out the form at the bottom of this page. Please keep in mind if use any method other than phone it will take some time to get into the hands of the appropriate person. We look forward to speaking with you soon.</p>
',
          'safe_summary' => '',
        ),
      ),
    ),
  );

return $content;
}
